%define version 0.10.1test9
%define prefix  /usr
Summary: GTK+ based download tool
Name: aria
Version: %{version}
Release: 1
Source0: aria-%{version}.tar.bz2
Source1: aria.desktop
Patch0: configure.linuxkid.patch.bz2
Patch1: Makefile.in.linuxkid.patch.bz2
Patch2: Makefile.am.linuxkid.patch.bz2
Copyright: GPL
Group: Local
Packager: 	linuxkid <linux@peanutlinux.org>
BuildRequires:  GTK >= 1.2.10
Buildroot:	/var/tmp/%{name}-%{version}-root

%description
Aria is a download tool similar to Reget or GetRight. It downloads files
from the Internet via HTTP or FTP. The transfer can be paused, resumed,
queued, and saved. It has a friendly GTK-based GUI and useful log consoles.
It supports URL list importing, CRC checking, HTTP proxy server, HTTP
recursive downloads with various useful options, and cut-and-pasting.
It also can handle annoying CGI fake download pages.

%prep
%setup -n aria-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --disable-nls
make CCFLAG="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
/*
